using PARR.Core.Repositories.Interfaces.Job;
using PARR.DAL.Context;
using PARR.Domain.Entities.Job;

namespace PARR.DAL.Repositories.Job
{
    internal class JobAutoControlRepository : IJobAutoControlRepository
    {
        private readonly DataContext dataContext;

        public JobAutoControlRepository(DataContext dataContext)
        {
            this.dataContext = dataContext;
        }

        public IQueryable<JobAutoControl> Get()
        {
            return dataContext.JobAutoControls;
        }
    }
}
